%define name	iml

Name:		%{name}
Group:		Sciences/Mathematics
License:	BSDish
Summary:	IML - Integer Matrix Library
Version:	1.0.2
Release:	%mkrel 4
Source:		http://www.cs.uwaterloo.ca/~z4chen/iml-1.0.2.tar.gz
URL:		http://www.cs.uwaterloo.ca/~z4chen/iml.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libgmp-devel
BuildRequires:	libatlas-devel

Provides:	lib%{name}-devel = %{version}-%{release}

Patch0:		iml-1.0.2.build.patch
Patch1:		iml-1.0.2.nullspaceMP.patch

%description
IML is a free library of C source code which implements algorithms for
computing exact solutions to dense systems of linear equations over the
integers. IML is designed to be used with the ATLAS/BLAS library and
GMP bignum library. 

%prep
%setup -q

%patch0 -p1
rm -f config/*.m4

%patch1 -p1

%build
autoreconf -ifs
%configure						\
	--with-atlas-include=%{_includedir}/atlas	\
	--with-atlas-lib=%{_libdir}/atlas

%make CFLAGS="%{optflags} -fPIC"

%install
%makeinstall_std

mkdir -p %{buildroot}%{_docdir}
mv -f %{buildroot}%{_datadir}/%{name} %{buildroot}%{_docdir}
mkdir -p %{buildroot}%{_datadir}/%{name}/examples
cp -fa examples/*.c examples/readme %{buildroot}%{_datadir}/%{name}/examples

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*
%dir %{_datadir}/%{name}/examples
%{_datadir}/%{name}/examples/*


%changelog
* Sat May 09 2009 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-3mdv2010.0
+ Revision: 373647
- Add the symbol nullspaceMP, required by sagemath's matrix_integer_dense
  module.

* Wed Mar 25 2009 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-1mdv2009.1
+ Revision: 361151
- Rewrite most of the auto* code, moving most macros from config/*.m4
  directly to configure.ac, and regenerate build. This was required
  as the bundled configure and Makefiles would fail on x86_64. And
  because the tarball was built with an older auto* dist.
- Initial import of iml 1.0.2.
  IML - Integer Matrix Library
  http://www.cs.uwaterloo.ca/~z4chen/iml.html
- iml

